Skip to content

mkectl login

mkectl login#

Login to your MKE 4 cluster account and obtain a kubeconfig

Synopsis#

Login to your MKE 4 cluster account and obtain a kubeconfig

mkectl login [flags]

Options#

  -a, --address string                     Address of the MKE 4 cluster, e.g. my-mke-cluster.example.com
      --auth-extra-params stringToString   Extra query parameters to send with an authentication request: key1=value1,key2=value2,... (default [])
      --auth-timeout int                   Timeout of authentication in seconds (default 180)
      --browser-command string             Command to open the browser
      --ca-data string                     Base64-encoded CA certificate for the MKE 4 cluster
      --ca-file string                     Path to the CA certificate for the MKE 4 cluster
      --cluster-ca-data bytesBase64        Base64-encoded CA certificate of the Kubernetes API server.
      --cluster-ca-file string             Path to a file containing the CA certificate of the Kubernetes API server.
      --force-refresh                      If set, refresh the ID token regardless of its expiration time
      --grant-type string                  Authorization grant type to use. One of (auto|authcode|password|device-code|client-credentials) (default "auto")
  -h, --help                               help for login
      --insecure-skip-tls-verify           [SECURITY RISK] If set, the server's certificate will not be checked for validity
      --oidc-extra-scopes strings          Additional OIDC scopes to request (comma-separated), "email" and "offline_access" scopes are always included
      --password-env-var string            Environment variable containing the password for resource owner password credentials grant
      --skip-open-browser                  Do not open the browser automatically
      --tls-renegotiation-freely           If set, allow a remote server to repeatedly request renegotiation
      --tls-renegotiation-once             If set, allow a remote server to request renegotiation once per connection
      --token-cache-storage string         Storage for the token cache. One of (disk|keyring|none) (default "disk")
      --username-env-var string            Environment variable containing the username for resource owner password credentials grant

Options inherited from parent commands#

  -f, --file string              path to the config file. Not needed for restore where config is loaded from the backup (default "mke4.yaml")
      --kubeconfig string        path to the kubeconfig file of the existing or restored cluster. DO NOT USE when creating a new cluster (default "/home/runner/.mke/mke.kubeconf")
  -l, --logLevel string          specify a log level (info, warn, debug, trace, error) (default "info")
      --no-color                 when provided, disables colored output
      --no-pretty-print          when provided, disables pretty print output formatting
      --version version[=true]   --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version